Limerence
Automations

Create Automation

Create a new automation

POST
/automations

Create a new automation

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/automations" \  -H "Content-Type: application/json" \  -d '{    "dataSourceIds": [      "string"    ],    "enabled": true,    "name": "string",    "prompt": "string",    "schedule": "stringstr",    "spaceId": "string",    "timezone": "string"  }'
{  "sources": [    {      "automationId": "string",      "createdAt": "string",      "dataSourceId": "string",      "dataSourceName": "string",      "unavailableAt": null,      "updatedAt": "string"    }  ],  "createdAt": "string",  "createdByUserId": "string",  "enabled": true,  "id": "string",  "name": "string",  "nextRunAt": null,  "prompt": "string",  "schedule": "string",  "spaceId": "string",  "timezone": "string",  "updatedAt": "string"}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}